org.apache.http.protocol

## Class DefaultedHttpContext

- java.lang.Object
- - org.apache.http.protocol.DefaultedHttpContext

All Implemented Interfaces:
  HttpContext

Deprecated.
(4.3) no longer used.

    @Deprecated
    public final class DefaultedHttpContext
    extends Object
    implements HttpContext

`HttpContext` implementation that delegates resolution of an attribute to the given default `HttpContext` instance if the attribute is not present in the local one. The state of the local context can be mutated, whereas the default context is treated as read-only.

Since:
  4.0

### Field Summary

### Fields inherited from interface org.apache.http.protocol.HttpContext

`RESERVED_PREFIX`

### Constructor Summary

Constructors
Constructor and Description
`DefaultedHttpContext(HttpContext local, HttpContext defaults)` Deprecated.

### Method Summary

Methods
`Object` `getAttribute(String id)` Deprecated. Obtains attribute with the given name.
`HttpContext` `getDefaults()` Deprecated.
`Object` `removeAttribute(String id)` Deprecated. Removes attribute with the given name from the context.
`void` `setAttribute(String id, Object obj)` Deprecated. Sets value of the attribute with the given name.
`String` `toString()` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DefaultedHttpContext

    public DefaultedHttpContext(HttpContext local,
                        HttpContext defaults)

Deprecated.

### Method Detail

#### getAttribute

    public Object getAttribute(String id)

Deprecated.
Description copied from interface: `HttpContext`
Obtains attribute with the given name.

Specified by:
  `getAttribute` in interface `HttpContext`
Parameters:
  `id` - the attribute name.
Returns:
  attribute value, or `null` if not set.

#### removeAttribute

    public Object removeAttribute(String id)

Deprecated.
Description copied from interface: `HttpContext`
Removes attribute with the given name from the context.

Specified by:
  `removeAttribute` in interface `HttpContext`
Parameters:
  `id` - the attribute name.
Returns:
  attribute value, or `null` if not set.

#### setAttribute

    public void setAttribute(String id,
                    Object obj)

Deprecated.
Description copied from interface: `HttpContext`
Sets value of the attribute with the given name.

Specified by:
  `setAttribute` in interface `HttpContext`
Parameters:
  `id` - the attribute name.
  `obj` - the attribute value.

#### getDefaults

    public HttpContext getDefaults()

Deprecated.

#### toString

    public String toString()

Deprecated.

Overrides:
  `toString` in class `Object`